<toolSet name="External Tools">
  <tool name="ESP Flash" showInMainMenu="false" showInEditor="false" showInProject="false" showInSearchPopup="false" disabled="false" useConsole="true" showConsoleOnStdOut="false" showConsoleOnStdErr="false" synchronizeAfterRun="true">
    <exec>
      <option name="COMMAND" value="/bin/bash" />
      <option name="PARAMETERS" value="-c &quot;source /home/breadway/esp/esp-idf/export.sh &amp;&amp; idf.py -B cmake-build-esp32 -p /dev/ttyUSB0 flash&quot;" />
      <option name="WORKING_DIRECTORY" value="$ProjectFileDir$" />
    </exec>
  </tool>
  <tool name="ESP Flash + Monitor" showInMainMenu="false" showInEditor="false" showInProject="false" showInSearchPopup="false" disabled="false" useConsole="true" showConsoleOnStdOut="false" showConsoleOnStdErr="false" synchronizeAfterRun="true">
    <exec>
      <option name="COMMAND" value="/bin/bash" />
      <option name="PARAMETERS" value="-c &quot;source /home/breadway/esp/esp-idf/export.sh &amp;&amp; idf.py -B cmake-build-esp32 -p /dev/ttyUSB0 flash monitor&quot;" />
      <option name="WORKING_DIRECTORY" value="$ProjectFileDir$" />
    </exec>
  </tool>
</toolSet>